from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XAttributeList(XInterface, Protocol):
    def getLength(self) -> int: ...
    def getNameByIndex(self, i: int) -> str: ...
    def getTypeByIndex(self, i: int) -> str: ...
    def getTypeByName(self, aName: str) -> str: ...
    def getValueByIndex(self, i: int) -> str: ...
    def getValueByName(self, aName: str) -> str: ...
